#include "headers.h"


// *** GLOBAL VARIABLES ***
PBYTE  		CS2;

BYTE LCD_RAM[128][8];


char thestring[25];

//*********************************************************************
//*******************  INITALIZE THE I/O PORT PINS  *******************
//*********************************************************************
void Init_IO(void)
{

      sim.gpio.pddr_datah = 0x00;			// switches on this port
      sim.gpio.pddr_datal = 0xff;           // LCD on this port


}
//*********************************************************************
//******************  INITALIZE THE CHIP SELECT PIN  ******************
//*********************************************************************
void Init_ChipSelect(void)
{
   sim.cs[2].csar = ( MY_CS2_ADDRESS >> 16 );
   sim.cs[2].cscr = 0x3D40;
   sim.cs[2].csmr = 0x001F0001;
   CS2 = ( PBYTE ) MY_CS2_ADDRESS;
}
/*************************************************************************
 *********************        Main Moduel        *************************
 *********************                           *************************
 *********************     Initialize Program    *************************
 *********************         Sequences         *************************
 *********************                           *************************
 *************************************************************************/
void UserMain(void * pd)
{

    BYTE x,y;
    BYTE a,b,c,d;
	a=0;b=0;c=127;d=63;


    Init_IO();

    Init_ChipSelect();

	LCD_Initalize();

    InitializeStack();
    if (EthernetIP==0)GetDHCPAddress();
    OSChangePrio(MAIN_PRIO + 4);
    EnableAutoUpdate();
    StartHTTP();
    EnableTaskMonitor();      
   
    iprintf("\r\n\r\nSystem UP...\r\n");

// Show off the different demo's



	sprintf(thestring,"-- Font 6x8 --");
	LCD_FixedFont(thestring,&FONT6x8[0],STYLE6x8,3,LINE_1);

	sprintf(thestring,"012345678901234567890");
	LCD_FixedFont(thestring,&FONT6x8[0],STYLE6x8,0,LINE_2);
	LCD_FixedFont(thestring,&FONT6x8[0],STYLE6x8,0,LINE_3);
	LCD_FixedFont(thestring,&FONT6x8[0],STYLE6x8,0,LINE_4);
	LCD_FixedFont(thestring,&FONT6x8[0],STYLE6x8,0,LINE_5);
	LCD_FixedFont(thestring,&FONT6x8[0],STYLE6x8,0,LINE_6);
	LCD_FixedFont(thestring,&FONT6x8[0],STYLE6x8,0,LINE_7);
	LCD_FixedFont(thestring,&FONT6x8[0],STYLE6x8,0,LINE_8);
    OSTimeDly( 40 );


	sprintf(thestring," Font 8x8 Thin ");
	LCD_FixedFont(thestring,&FONT8x8T[0],STYLE8x8,1,LINE_1);
	sprintf(thestring,"0123456789012345");
	LCD_FixedFont(thestring,&FONT8x8T[0],STYLE8x8,0,LINE_2);
	LCD_FixedFont(thestring,&FONT8x8T[0],STYLE8x8,0,LINE_3);
	LCD_FixedFont(thestring,&FONT8x8T[0],STYLE8x8,0,LINE_4);
	LCD_FixedFont(thestring,&FONT8x8T[0],STYLE8x8,0,LINE_5);
	LCD_FixedFont(thestring,&FONT8x8T[0],STYLE8x8,0,LINE_6);
	LCD_FixedFont(thestring,&FONT8x8T[0],STYLE8x8,0,LINE_7);
	LCD_FixedFont(thestring,&FONT8x8T[0],STYLE8x8,0,LINE_8);
    OSTimeDly( 40 );

	sprintf(thestring,"  Font 8x8 Fat ");
	LCD_FixedFont(thestring,&FONT8x8F[0],STYLE8x8,0,LINE_1);
	sprintf(thestring,"0123456789012345");
	LCD_FixedFont(thestring,&FONT8x8F[0],STYLE8x8,0,LINE_2);
	LCD_FixedFont(thestring,&FONT8x8F[0],STYLE8x8,0,LINE_3);
	LCD_FixedFont(thestring,&FONT8x8F[0],STYLE8x8,0,LINE_4);
	LCD_FixedFont(thestring,&FONT8x8F[0],STYLE8x8,0,LINE_5);
	LCD_FixedFont(thestring,&FONT8x8F[0],STYLE8x8,0,LINE_6);
	LCD_FixedFont(thestring,&FONT8x8F[0],STYLE8x8,0,LINE_7);
	LCD_FixedFont(thestring,&FONT8x8F[0],STYLE8x8,0,LINE_8);
    OSTimeDly( 40 );


	LCD_Cls();
    for(x=0;x < 7;x++)
    {
		LCD_Box(a,b,c,d,ON,UPDATE_LCD);

     	a+=5;
     	b+=3;
		c-=5;
		d-=3;
	}

    OSTimeDly( 60 );


	LCD_Cls();
    LCD_Circle(64,32,5,UPDATE_LCD);
    LCD_Circle(64,32,10,UPDATE_LCD);
    LCD_Circle(64,32,20,UPDATE_LCD);
    LCD_Circle(64,32,30,UPDATE_LCD);
    OSTimeDly( 60 );


	LCD_Cls();
 	for(y=0; y <= 20;y++)
	{
		LCD_Cls();
		sprintf(thestring,"FreeStyle X=%2u, Y=%2u ",0,y);
		LCD_FontFreeStyle(thestring,&FONT6x8[0],STYLE6x8,0,y,UPDATE_LCD);
	    OSTimeDly( 5 );
	}


 	for(x=0; x <= 30;x++)
	{
		LCD_Cls();
		sprintf(thestring,"FreeStyle X=%2u, Y=%2u ",x,y);
		LCD_FontFreeStyle(thestring,&FONT6x8[0],STYLE6x8,x,y,UPDATE_LCD);
	    OSTimeDly( 5 );
	}

	OSTimeDly( 40 );
	LCD_Cls();



	LCD_Cls();
 	LCD_Logo(&TELESTI[0],0,20,16,4);
    OSTimeDly( 40 );


	LCD_Test();



	LCD_Cls();
	
 	for(y=63;y > 20;y--)
	{
		LCD_Logo(&LMG[0],0,y,16,3);
	    OSTimeDly( 1 );
    }

    OSTimeDly( 60 );
	LCD_Cls();

 	sprintf(thestring,"CFAG12864B-YYH-N");
	LCD_FixedFont(thestring,&FONT8x8F[0],STYLE8x8,0,LINE_1);



 	x=0;

	while(1)
	{

 		sprintf(thestring,"%05u",x);
		LCD_FixedFont(thestring,&FONT8x8F[0],STYLE8x8,5,LINE_5);
	    OSTimeDly( 1 );
     	x++;

	}


	    

}


