#define LCD_DATA(x)  				CS2[LCD_CS] = x; LCD_TOGGLE_E;    			// write data and toggle it in
#define SHOW_DATA(x)

#define LCD_CS1						0x01               // PDATA L0
#define LCD_CS2						0x02               // PDATA L1
#define LCD_DI						0x10               // PDATA L4
#define LCD_E						0x04               // PDATA L2
#define LCD_BACKLIGHT				0x00               // Not Used
#define UPDATE_LCD       			TRUE
#define UPDATE_RAM					NULL



#define LCD_CS1_HIGH				sim.gpio.podr_datal |= LCD_CS1      // PDATA L0
#define LCD_CS1_LOW					sim.gpio.podr_datal &=~LCD_CS1      // PDATA L0

#define LCD_CS2_HIGH				sim.gpio.podr_datal |= LCD_CS2      // PDATA L1
#define LCD_CS2_LOW					sim.gpio.podr_datal &=~LCD_CS2      // PDATA L1

#define LCD_DI_HIGH                 sim.gpio.podr_datal |= LCD_DI		// PDATA L4
#define LCD_DI_LOW                  sim.gpio.podr_datal &=~LCD_DI       // PDATA L4

#define LCD_E_HIGH                  sim.gpio.podr_datal |= LCD_E;  E_Pulse_Delay();      // keep equal times  - PDATA L2
#define LCD_E_LOW                   sim.gpio.podr_datal &=~LCD_E;  E_Pulse_Delay();      // keep equal times  - PDATA L2

#define LCD_TOGGLE_E				LCD_E_HIGH; LCD_E_LOW;

#define LCD_BACKLIGHT_ON            0                   // Not Implemented 
#define LCD_BACKLIGHT_OFF           0                   // Not Implemented 


//LCD FONT DEFINES
#define STYLE6x8					6
#define STYLE8x8					8

#define LINE_1						0
#define LINE_2						1
#define LINE_3						2
#define LINE_4						3
#define LINE_5						4
#define LINE_6						5
#define LINE_7						6
#define LINE_8						7



extern BYTE LCD_RAM[128][8];



void LCD_Initalize(void);
void E_Pulse_Delay(void);
void LCD_GetTrueY(BYTE *data, BYTE y);
void LCD_PixelPut(BYTE x, BYTE y, BOOL ram_or_lcd);
void LCD_PixelClr(BYTE x, BYTE y, BOOL ram_or_lcd);
void LCD_PutData(BYTE x, BYTE y, BYTE data);
void LCD_Cls(void);
void LCD_DisplayRam(void);
void LCD_ClearRam(void);
void LCD_FillRam(void);
void LCD_Box(BYTE x1, BYTE y1, BYTE x2, BYTE y2, BOOL pixel_on_off, BOOL ram_or_lcd);
void LCD_Funct_A(BYTE x1, BYTE y1, BYTE x2, BYTE y2, BOOL pixel_on_off, BOOL ram_or_lcd);
void LCD_Funct_B(BYTE x1, BYTE y1, BYTE x2, BYTE y2, BOOL pixel_on_off, BOOL ram_or_lcd);
void LCD_Line(BYTE x1, BYTE y1, BYTE x2, BYTE y2, BOOL pixel_on_off,BOOL ram_or_lcd);
void LCD_Font(char *the_string, BYTE x_size, BYTE location_x, BYTE location_y);
void LCD_Logo(const BYTE *pfont_pointer, BYTE x_start, BYTE y_start, BYTE x_max, BYTE y_max);
void LCD_Circle(BYTE center_x, BYTE center_y, BYTE r, BOOL ram_or_lcd);
void LCD_Test(void);






